Skip to content
scango.ch
Esc
↑↓navigate↵open⌘Jpreview

Create supplier

Create a supplier. Requires a Write key.

POST/suppliers
Authorization
AuthorizationBearer token (API key) · headerrequired

Organization API key.

Request body
requiredapplication/json
namestringrequired
min length 1
externalIdstring

Optional external identifier

companystring
citystring
streetstring
plzstring
emailstring
payoutEmailstring
orderEmailstring
phonestring
contactPersonstring
contactPhonestring
dailyMailstring
supplierMarginnumber
ibanstring
bicstring
bankNamestring
payoutsEnabledboolean
Responses
200

Supplier created

successbooleanrequired
idstringrequired
400

Invalid parameters or body.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

403

Missing, unknown or inactive API key, or a Read key on a write operation.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://dashboard.scango.ch/api/v1/suppliers' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Example AG",
  "company": "Example AG",
  "city": "Zürich",
  "street": "Bahnhofstrasse 1",
  "plz": "8001",
  "email": "orders@example.ch"
}'
Response
{
  "success": true,
  "id": "newSupplierId"
}

Was this page helpful?